## ros-one-moveit-chomp-optimizer-adapter 1.1.16-49jammy.20251023.1516

=== debian/changelog ===
ros-one-moveit-chomp-optimizer-adapter (1.1.16-49jammy.20251023.1516) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 23 Oct 2025 15:16:01 +0000

ros-one-moveit-chomp-optimizer-adapter (1.1.16-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.15-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.14-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.13-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.12-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.11-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.10-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.9-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.8-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.7-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.6-0jammy) jammy; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * CHOMP: Rename param 'clearence' to 'clearance' (#2702 <https://github.com/ros-planning/moveit/issues/2702>, #2707 <https://github.com/ros-planning/moveit/issues/2707>)
  * Contributors: Martin Günther, Michael Görner, Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.5-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.4-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.3-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.2-0jammy) jammy; urgency=high

  * Sanitize CHOMP initialization method parameter (#2540 <https://github.com/ros-planning/moveit/issues/2540>)
  * Contributors: Cong Liu

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.1-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.0-0jammy) jammy; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Allow ROS namespaces for planning request adapters (#1530 <https://github.com/ros-planning/moveit/issues/1530>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix Chomp planning adapter (#1525 <https://github.com/ros-planning/moveit/issues/1525>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Henning Kayser, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.0.6-0jammy) jammy; urgency=high

  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.0.5-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 08 Jul 2020 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.0.4-0jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 30 May 2020 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.0.3-0jammy) jammy; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 26 Apr 2020 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.0.2-0jammy) jammy; urgency=high

  * [fix] Chomp planning adapter: Fix spurious error message Fix "Found empty JointState message"
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.0.1-0jammy) jammy; urgency=high

  * [fix] segfault in chomp adapter (#1377 <https://github.com/ros-planning/moveit/issues/1377>)
  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan



## ros-one-moveit-chomp-optimizer-adapter 1.1.16-49jammy.20251208.0817

=== debian/changelog ===
ros-one-moveit-chomp-optimizer-adapter (1.1.16-49jammy.20251208.0817) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 08 Dec 2025 08:17:48 +0000

## ros-one-moveit-chomp-optimizer-adapter 1.1.16-49noble.20251023.1550

=== debian/changelog ===
ros-one-moveit-chomp-optimizer-adapter (1.1.16-49noble.20251023.1550) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 23 Oct 2025 15:50:52 +0000

ros-one-moveit-chomp-optimizer-adapter (1.1.16-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.15-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.14-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.13-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.12-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.11-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.10-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.9-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.8-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.7-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.6-0noble) noble; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * CHOMP: Rename param 'clearence' to 'clearance' (#2702 <https://github.com/ros-planning/moveit/issues/2702>, #2707 <https://github.com/ros-planning/moveit/issues/2707>)
  * Contributors: Martin Günther, Michael Görner, Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.5-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.4-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.3-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.2-0noble) noble; urgency=high

  * Sanitize CHOMP initialization method parameter (#2540 <https://github.com/ros-planning/moveit/issues/2540>)
  * Contributors: Cong Liu

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.1-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.1.0-0noble) noble; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Allow ROS namespaces for planning request adapters (#1530 <https://github.com/ros-planning/moveit/issues/1530>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix Chomp planning adapter (#1525 <https://github.com/ros-planning/moveit/issues/1525>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Henning Kayser, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.0.6-0noble) noble; urgency=high

  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.0.5-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 08 Jul 2020 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.0.4-0noble) noble; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 30 May 2020 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.0.3-0noble) noble; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 26 Apr 2020 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.0.2-0noble) noble; urgency=high

  * [fix] Chomp planning adapter: Fix spurious error message Fix "Found empty JointState message"
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-moveit-chomp-optimizer-adapter (1.0.1-0noble) noble; urgency=high

  * [fix] segfault in chomp adapter (#1377 <https://github.com/ros-planning/moveit/issues/1377>)
  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan



## ros-one-moveit-chomp-optimizer-adapter 1.1.16-49noble.20251208.1450

=== debian/changelog ===
ros-one-moveit-chomp-optimizer-adapter (1.1.16-49noble.20251208.1450) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 08 Dec 2025 14:50:54 +0000

## ros-one-moveit-chomp-optimizer-adapter 1.1.16-50jammy.20260128.2149

=== debian/changelog ===
ros-one-moveit-chomp-optimizer-adapter (1.1.16-50jammy.20260128.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 28 Jan 2026 21:49:28 +0000

## ros-one-moveit-chomp-optimizer-adapter 1.1.16-50noble.20260128.2157

=== debian/changelog ===
ros-one-moveit-chomp-optimizer-adapter (1.1.16-50noble.20260128.2157) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 28 Jan 2026 21:57:10 +0000

## ros-one-moveit-chomp-optimizer-adapter 1.1.16-51jammy.20260301.2138

=== debian/changelog ===
ros-one-moveit-chomp-optimizer-adapter (1.1.16-51jammy.20260301.2138) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 01 Mar 2026 21:38:21 +0000

## ros-one-moveit-chomp-optimizer-adapter 1.1.16-51noble.20260301.2133

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_chomp_optimizer_adapter)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  chomp_motion_planner
  pluginlib
)
moveit_build_options()

catkin_package()

include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/chomp_optimizer_adapter.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(FILES chomp_optimizer_adapter_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-moveit-chomp-optimizer-adapter (1.1.16-51noble.20260301.2133) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 01 Mar 2026 21:33:53 +0000

=== debian/control ===
Source: ros-one-moveit-chomp-optimizer-adapter
Section: misc
Priority: optional
Maintainer: Raghavender Sahdev <raghavendersahdev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-chomp-motion-planner, ros-one-moveit-core, ros-one-pluginlib (>= 1.11.2)
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-moveit-chomp-optimizer-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-chomp-motion-planner, ros-one-moveit-core, ros-one-pluginlib (>= 1.11.2)
Description: MoveIt planning request adapter utilizing chomp for solution optimization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-chomp-optimizer-adapter//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
